#pragma once
#include "communication/bridge/proxy/i_bridge_proxy_factory.h"
#include "communication/bridge/connection_lifecycle/connection_factory.h"
#include <kr2_program_api/api_v1/program_interface.h>
#include "communication/bridge/connection_lifecycle/i_connection_state_machine.h"
#include "communication/bridge/i_bridge_client.h"
#include <xmlrpc-c/client_simple.hpp>

namespace spin
{
    class BridgeProxyFactory : public IBridgeProxyFactory
    {
    public:
        std::shared_ptr<IBridgeProxy> createProxy(std::shared_ptr<IConnectionFactory> connectionFactory, boost::shared_ptr<kr2_program_api::ProgramInterface> api) override;
        std::shared_ptr<IBridgeProxy> createProxy() override;
    };
} // namespace spin
